org.jboss.resteasy.core.interception

## Class ClientExecutionContextImpl

- java.lang.Object
- - org.jboss.resteasy.core.interception.ClientExecutionContextImpl

- All Implemented Interfaces:
    ClientExecutionContext

  Deprecated.

      @Deprecated
      public class ClientExecutionContextImpl
      extends Object
      implements ClientExecutionContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientExecutor` | `executor` Deprecated.
    `protected int` | `index` Deprecated.
    `protected List<ClientExecutionInterceptor>` | `interceptors` Deprecated.
    `protected ClientRequest` | `request` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientExecutionContextImpl(List<ClientExecutionInterceptor> interceptors, ClientExecutor executor, ClientRequest request)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientRequest` | `getRequest()` Deprecated.
    `ClientResponse` | `proceed()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### interceptors

          protected List<ClientExecutionInterceptor> interceptors

      Deprecated.

    - #### executor

          protected ClientExecutor executor

      Deprecated.

    - #### request

          protected ClientRequest request

      Deprecated.

    - #### index

          protected int index

      Deprecated.

  - ### Constructor Detail

    - #### ClientExecutionContextImpl

          public ClientExecutionContextImpl(List<ClientExecutionInterceptor> interceptors,
                                    ClientExecutor executor,
                                    ClientRequest request)

      Deprecated.

  - ### Method Detail

    - #### getRequest

          public ClientRequest getRequest()

      Deprecated.
      Specified by:
        `getRequest` in interface `ClientExecutionContext`

    - #### proceed

          public ClientResponse proceed()
                                 throws Exception

      Deprecated.
      Specified by:
        `proceed` in interface `ClientExecutionContext`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.